package com.genlot.ninglottery.game.d3.bean;

import com.genlot.ninglottery.game.bet.BetNumber;
import com.genlot.ninglottery.toolkit.GameUtil;

/**
 * @author ZhuYongKang
 * @description 3D组选6投注实体类
 * @date 2019/9/11
 */
public class ZuXuan6 extends ZuXuan{

    /**
     *  三号都不相同
     * @param args int
     */
    @Override
    public void random(int... args) {
        clear();
        int[] nums = GameUtil.randomCommon(0, 9, 3);
        //第一位
        BetNumber number1 = new BetNumber(String.valueOf(nums[0]));
        number1.setType(BetNumber.CHECKED);
        mList1.add(number1);
        //第二位
        BetNumber number2 = new BetNumber(String.valueOf(nums[1]));
        number2.setType(BetNumber.CHECKED);
        mList2.add(number2);
        //第三位
        BetNumber number3 = new BetNumber(String.valueOf(nums[2]));
        number3.setType(BetNumber.CHECKED);
        mList3.add(number3);
    }

}
